Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.foundation.base
Class Domain

    java.lang.Object
      devisor2.foundation.base.BasicDomain
          devisor2.foundation.base.DomainStatistics
              devisor2.foundation.base.DomainIO
                  devisor2.foundation.base.Domain

All Implemented Interfaces:
  java.io.Serializable

public class Domain
extends DomainIO

this is the empty top-level wrapper class for the Domain. To add further functionality, extend the class this class extends and let this class extend your new class (just insert a new class in the interitage chain)

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class devisor2.foundation.base.BasicDomain
`BasicDomain.DPoint`

Field Summary

Fields inherited from class devisor2.foundation.base.BasicDomain
`BoundaryEdgeCount, BoundaryNodeCount, cells, CellValueCount, changed, db, domainfileformat, domainfilename, ecke1, edges, FEAST, FEAT, name, nodes, NodeValueCount, perimeter, UCD, validpx, validpy`

Constructor Summary
`Domain()`

Methods inherited from class devisor2.foundation.base.DomainIO
`checkFile, loadDomain, loadDomain, loadDomainFEAST, loadDomainFEAT, loadDomainFEAT, saveDomain, saveDomainFEAT, scanLine`

Methods inherited from class devisor2.foundation.base.DomainStatistics
`getStatistics, printCellVector, printDomain, printEdgeVector, printNodeVector`

Methods inherited from class devisor2.foundation.base.BasicDomain
`add, addCell, addEdge, addNode, adjustEdge, adjustEdge, adjustNode, centerDomain, centerDomain, centerDomain, construct_boundary, del, delCell, delEdge, delNode, draw, drawGrid, getBoundaryEdgeCount, getBoundaryNodeCount, getCell, getCellCount, getCells, getEdge, getEdgeCount, getEdgeForNode, getEdges, getFileformat, getFilename, getMaxParallelBlock, getName, getNearestCells, getNode, getNodeCount, getNodes, getNodeWithSameCoords, getParallelBlockCenter, getPerimeter, getPerimeter, hasChanged, isFeastable, rectifyElement, resetCellMarkers, resetEdgeMarkers, resetNodeMarkers, searchEdge, setDomainPerimeter, setName, updateAll, updateCellNeighbours, updateCellNodes, updateCellNumbers, updateEdgeNumbers, updateNodeNumbers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Domain

    public Domain()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD